<?php

$app->get('/populate', function () use ($app, $db) {

$db->table('user')->insert(array(
    'id' => 1,
    'username' => 'taddeus',
    'password' => Nette\Security\Passwords::hash('test123')
));

$db->table('match')->insert(array(
    array(
        'id' => 1,
        'name' => 'Test',
        'user_id' => 1,
        'distance' => 18,
        'discipline' => 'recurve',
        'arrows' => 3,
        'turns' => 2,
        'scores' => pack_scores(array(10, 7, 6, 0, 9, 10))
    ),
    array(
        'id' => 2,
        'name' => 'Nog een test',
        'user_id' => 1,
        'distance' => 25,
        'discipline' => 'compound',
        'arrows' => 4,
        'turns' => 3,
        'scores' => pack_scores(array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 1, 2))
    ),
    array(
        'id' => 3,
        'name' => 'Kopie van eerste test',
        'user_id' => 1,
        'distance' => 18,
        'discipline' => 'recurve',
        'arrows' => 3,
        'turns' => 2,
        'scores' => pack_scores(array(10, 7, 6, 0, 9, 10))
    ),
    array(
        'id' => 4,
        'name' => 'Dit is een hele lange naam van meerdere regels',
        'user_id' => 1,
        'distance' => 18,
        'discipline' => 'recurve',
        'arrows' => 3,
        'turns' => 2,
        'scores' => pack_scores(array(10, 7, 6, 0, 9, 10))
    )
));

$db->table('tag')->insert(array(
    array('name' => 'foo', 'match_id' => 3),
    array('name' => 'bar', 'match_id' => 3),

    array('name' => 'foo', 'match_id' => 2),
));

});
